package envoy.client.ui;

import java.util.logging.Logger;

import envoy.util.EnvoyLog;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.ListView;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>ChatSceneController.java</strong><br>
 * Created: <strong>26.03.2020</strong><br>
 * 
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public final class ChatSceneController {

	@FXML
	private ListView messageList;

	@FXML
	private ListView userList;

	private static final Logger logger = EnvoyLog.getLogger(ChatSceneController.class);

	@FXML
	public void initialize() {
		messageList.setCellFactory(listView -> new MessageListCell());
		userList.setCellFactory(listView -> new UserListCell());
	}

	@FXML
	public void postButtonClicked(ActionEvent e) {
		logger.info("Post Button clicked.");
	}

	@FXML
	public void settingsButtonClicked(ActionEvent e) {
		logger.info("Settings Button clicked.");
	}
}
